Package com.pixelmed.dicom

# Class InformationEntity

java.lang.Object
com.pixelmed.dicom.InformationEntity

All Implemented Interfaces:
  `Comparable`

public class InformationEntity extends Object implements Comparable

A class to provide enumerated constants for the entities of the DICOM Information Model.

Used to categorize attributes in the `DicomDictionary` and in the `com.pixelmed.database` package.

## Field Summary

Fields
Modifier and Type
Field
Description
`static InformationEntity`
`CONCATENATION`
`static InformationEntity`
`FRAME`
`static InformationEntity`
`INSTANCE`
`static InformationEntity`
`PATIENT`
`static InformationEntity`
`PROCEDURESTEP`
`static InformationEntity`
`SERIES`
`static InformationEntity`
`STUDY`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object ie)`
Is this information entity higher in the model than the specified information entity ?
`static InformationEntity`
`fromString(String name)`
Get the information entity corresponding to the string name
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PATIENT

public static InformationEntity PATIENT

### STUDY

public static InformationEntity STUDY

### PROCEDURESTEP

public static InformationEntity PROCEDURESTEP

### SERIES

public static InformationEntity SERIES

### CONCATENATION

public static InformationEntity CONCATENATION

### INSTANCE

public static InformationEntity INSTANCE

### FRAME

public static InformationEntity FRAME

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### fromString

public static InformationEntity fromString(String name)

Get the information entity corresponding to the string name

Parameters:
  `name` - a String name, whose case is ignored
Returns:
  the information entity if any, otherwise null

### compareTo

public int compareTo(Object ie)

Is this information entity higher in the model than the specified information entity ?

Specified by:
  `compareTo` in interface `Comparable`
Parameters:
  `ie` - the information entity with which to compare
Returns:
  a -ve value if this information entity higher in the model than the specified information entity